Bug 1246252 - Gnome doesn't notify for available updates
Summary: Gnome doesn't notify for available updates
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker https://fedoraproject...
Depends On:
Blocks: F23FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2015-07-23 19:33 UTC by Giulio 'juliuxpigface'
Modified: 2015-08-25 16:06 UTC (History)
9 users (show)

Fixed In Version: 1.45.4-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-25 16:06:10 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1247753 0 unspecified CLOSED [abrt] PackageKit: hy_repo_get_string(): packagekitd killed by SIGSEGV 2021-02-22 00:41:40 UTC

Internal Links: 1247753

Description Giulio 'juliuxpigface' 2015-07-23 19:33:05 UTC
Description of problem:
I've been using a testing compose for some days now, but I haven't seen notifies about available updates yet.

I'm a bit unsure about the right component, so please excuse me if I chose the wrong one to report against.

Version-Release number of selected component (if applicable):
gnome-session-3.16.0-2.fc23.x86_64
gnome-software-3.17.2-2.fc23.x86_64
PackageKit-1.0.7-1.fc23.x86_64
gnome-shell-3.17.3-2.fc23.x86_64

How reproducible:
I've never seen such kind of notifies during the usage of 20150717 compose.

Steps to Reproduce:
1. Verify via dnf that there are updates available
2. Follow https://fedoraproject.org/wiki/QA:Testcase_desktop_update_notification

Actual results:
Gnome does not notify for available updates

Expected results:
Gnome should notify that there are available updates

Additional info:
1. My wi-fi is a bit unstable (so more testing is welcome and really appreciated), but I've seen those notifies before on KDE 20150704, so I think this network is sufficiently reliable.
2. I'm testing a system installed with "Fedora-Live-Workstation-x86_64-23-20150717.iso" inside a qemu-kvm guest.

Comment 1 Fedora Blocker Bugs Application 2015-07-23 21:15:56 UTC
Proposed as a Blocker for 23-final by Fedora user juliuxpigface using the blocker tracking app because:

 Although some more testing is needed, as it stands now, this bug is a direct violation of the Final Criteria "2.4.8 Update notification" (Release-blocking desktops must notify the user of available updates, but must not do so when running as a live image.).

Reference:
https://fedoraproject.org/wiki/Fedora_23_Final_Release_Criteria#Update_notification

Comment 2 Robert Knight 2015-07-25 14:13:29 UTC
I've confirmed that this fails for me as well on real hardware with the same ISO (Fedora-Live-Workstation-x86_64-23-20150717.iso).  There was a report of an (unidentified) component that had crashed and been automatically reported.

Comment 3 Adam Williamson 2015-07-27 17:00:15 UTC
Discussed at 2015-07-27 blocker review meeting: http://meetbot-raw.fedoraproject.org/fedora-blocker-review/2015-07-27/f23-blocker-review.2015-07-27-16.00.log.txt . Accepted as a Final blocker per criterion cited in #c1.

Comment 4 Adam Williamson 2015-07-28 18:54:45 UTC
I suspect the cause of this is a PackageKit / hawkey crash:

https://bugzilla.redhat.com/show_bug.cgi?id=1247753

if you run abrt-gui and look under the System tab you'll probably see the same crash.

Comment 5 Kalev Lember 2015-08-01 14:44:48 UTC
I debugged this today and looks like it's caused by a glib regression. Upstream ticket: https://bugzilla.gnome.org/show_bug.cgi?id=751358

Comment 6 Fedora Update System 2015-08-20 20:27:32 UTC
yelp-xsl-3.17.90-1.fc23 yelp-3.17.90-1.fc23 webkitgtk4-2.9.90-1.fc23 tracker-1.5.2-1.fc23 totem-3.16.2-4.fc23 swell-foop-3.17.90-1.fc23 sound-juicer-3.17.90-1.fc23 simple-scan-3.17.90-1.fc23 rygel-0.27.4-1.fc23 pygobject3-3.17.90-1.fc23 pyatspi-2.17.90-1.fc23 polari-3.17.90-1.fc23 pango-1.37.3-1.fc23 orca-3.17.90-1.fc23 mutter-3.17.90-1.fc23 lightsoff-3.17.90-1.fc23 libvirt-glib-0.2.2-1.fc23 libsoup-2.51.90-1.fc23 libgtop2-2.31.90-1.fc23 latexila-3.17.0-1.fc23 iagno-3.17.90-1.fc23 gvfs-1.25.90-1.fc23 gucharmap-3.17.90-1.fc23 gtranslator-2.91.7-5.fc23 gtksourceview3-3.17.5-1.fc23 gtk3-3.17.7-1.fc23 gnome-user-share-3.17.90-1.fc23 gnome-tweak-tool-3.17.90-1.fc23 gnome-taquin-3.17.90-1.fc23 gnome-system-monitor-3.17.90-1.fc23 gnome-sudoku-3.17.90-1.fc23 gnome-sound-recorder-3.17.90-1.fc23 gnome-software-3.17.90-1.fc23 gnome-shell-extensions-3.17.90-1.fc23 gnome-shell-extension-background-logo-3.17.90-1.fc23 gnome-shell-3.17.90-1.fc23 gnome-settings-daemon-3.17.90-1.fc23 gnome-robots-3.17.90-1.fc23 gnome-power-manager-3.17.90-1.fc23 gnome-packagekit-3.17.90-1.fc23 gnome-nibbles-3.17.90-1.fc23 gnome-music-3.17.90-1.fc23 gnome-multi-writer-3.17.90-1.fc23 gnome-mines-3.17.90-1.fc23 gnome-maps-3.17.90-1.fc23 gnome-logs-3.17.90-1.fc23 gnome-klotski-3.17.90-1.fc23 gnome-initial-setup-3.17.90-1.fc23 gnome-dictionary-3.17.90-2.fc23 gnome-desktop3-3.17.90-1.fc23 gnome-contacts-3.16.2-7.fc23 gnome-color-manager-3.17.90-1.fc23 gnome-chess-3.17.90-1.fc23 gnome-characters-3.17.90-1.fc23 gnome-calendar-3.17.90-1.fc23 gnome-boxes-3.17.90-1.fc23 gnome-bluetooth-3.17.90-2.fc23 gnome-2048-3.17.90-1.fc23 glib2-2.45.6-1.fc23 geocode-glib-3.17.90-1.fc23 gedit-3.17.90-1.fc23 gdk-pixbuf2-2.31.6-1.fc23 fwupd-0.1.5-2.fc23 evolution-rspam-0.6.0-12.fc23 evolution-mapi-3.17.90-1.fc23 evolution-ews-3.17.90-1.fc23 evolution-data-server-3.17.90-1.fc23 evolution-3.17.90-1.fc23 eog-plugins-3.16.1-1.fc23 eog-3.17.90-1.fc23 empathy-3.12.10-4.fc23 dconf-editor-3.17.90-1.fc23 control-center-3.17.90-1.fc23 colord-1.2.12-1.fc23 cheese-3.17.90-1.fc23 bijiben-3.17.90-1.fc23 atomix-3.17.90-1.fc23 atk-2.17.90-1.fc23 at-spi2-core-2.17.90-1.fc23 at-spi2-atk-2.17.90-1.fc23 appstream-data-23-4.fc23 aisleriot-3.17.90-1.fc23 PackageKit-1.0.8-1.fc23 has been submitted as an update to Fedora 23. https://bugzilla.redhat.com/show_bug.cgi?id=1246252

Comment 7 Fedora Update System 2015-08-22 16:25:07 UTC
PackageKit-1.0.8-2.fc23, aisleriot-3.17.90-1.fc23, appstream-data-23-4.fc23, at-spi2-atk-2.17.90-1.fc23, at-spi2-core-2.17.90-1.fc23, atk-2.17.90-1.fc23, atomix-3.17.90-1.fc23, bijiben-3.17.90-1.fc23, cheese-3.17.90-1.fc23, clutter-1.23.6-1.fc23, cogl-1.21.2-2.fc23, colord-1.2.12-1.fc23, control-center-3.17.90-1.fc23, dconf-editor-3.17.90-1.fc23, empathy-3.12.10-4.fc23, eog-3.17.90-1.fc23, eog-plugins-3.16.1-1.fc23, evolution-3.17.90-1.fc23, evolution-data-server-3.17.90-1.fc23, evolution-ews-3.17.90-1.fc23, evolution-mapi-3.17.90-1.fc23, evolution-rspam-0.6.0-12.fc23, fwupd-0.1.5-3.fc23, gdk-pixbuf2-2.31.6-1.fc23, gedit-3.17.90-1.fc23, geocode-glib-3.17.90-1.fc23, glib2-2.45.6-1.fc23, gnome-2048-3.17.90-1.fc23, gnome-bluetooth-3.17.90-2.fc23, gnome-boxes-3.17.90-1.fc23, gnome-calendar-3.17.90-1.fc23, gnome-characters-3.17.90-1.fc23, gnome-chess-3.17.90-1.fc23, gnome-color-manager-3.17.90-1.fc23, gnome-contacts-3.16.2-7.fc23, gnome-desktop3-3.17.90-1.fc23, gnome-dictionary-3.17.90-2.fc23, gnome-documents-3.17.90-1.fc23, gnome-initial-setup-3.17.90-1.fc23, gnome-klotski-3.17.90-1.fc23, gnome-logs-3.17.90-1.fc23, gnome-maps-3.17.90-1.fc23, gnome-mines-3.17.90-1.fc23, gnome-multi-writer-3.17.90-1.fc23, gnome-music-3.17.90-1.fc23, gnome-nibbles-3.17.90-1.fc23, gnome-packagekit-3.17.90-1.fc23, gnome-power-manager-3.17.90-1.fc23, gnome-robots-3.17.90-1.fc23, gnome-settings-daemon-3.17.90-1.fc23, gnome-shell-3.17.90-1.fc23, gnome-shell-extension-background-logo-3.17.90-1.fc23, gnome-shell-extensions-3.17.90-1.fc23, gnome-software-3.17.90-1.fc23, gnome-sound-recorder-3.17.90-1.fc23, gnome-sudoku-3.17.90-1.fc23, gnome-system-monitor-3.17.90-1.fc23, gnome-taquin-3.17.90-1.fc23, gnome-tweak-tool-3.17.90-1.fc23, gnome-user-share-3.17.90-1.fc23, gobject-introspection-1.45.4-1.fc23, gtk3-3.17.7-1.fc23, gtksourceview3-3.17.5-1.fc23, gtranslator-2.91.7-5.fc23, gucharmap-3.17.90-1.fc23, gvfs-1.25.90-1.fc23, iagno-3.17.90-1.fc23, latexila-3.17.0-1.fc23, libgtop2-2.31.90-1.fc23, libsoup-2.51.90-1.fc23, libvirt-glib-0.2.2-1.fc23, lightsoff-3.17.90-1.fc23, mutter-3.17.90-1.fc23, nautilus-3.17.90-1.fc23, orca-3.17.90-1.fc23, pango-1.37.3-1.fc23, polari-3.17.90-1.fc23, pyatspi-2.17.90-1.fc23, pygobject3-3.17.90-1.fc23, rygel-0.27.4-1.fc23, simple-scan-3.17.90-1.fc23, sound-juicer-3.17.90-1.fc23, swell-foop-3.17.90-1.fc23, totem-3.16.2-4.fc23, tracker-1.5.2-1.fc23, webkitgtk4-2.9.90-1.fc23, yelp-3.17.90-1.fc23, yelp-xsl-3.17.90-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update gnome-mines cogl clutter gnome-documents fwupd nautilus PackageKit aisleriot appstream-data at-spi2-atk at-spi2-core atk atomix bijiben cheese colord control-center dconf-editor empathy eog eog-plugins evolution evolution-data-server evolution-ews evolution-mapi evolution-rspam gdk-pixbuf2 gedit geocode-glib glib2 gnome-2048 gnome-bluetooth gnome-boxes gnome-calendar gnome-characters gnome-chess gnome-color-manager gnome-contacts gnome-desktop3 gnome-dictionary gnome-initial-setup gnome-klotski gnome-logs gnome-maps gobject-introspection gnome-multi-writer gnome-music gnome-nibbles gnome-packagekit gnome-power-manager gnome-robots gnome-settings-daemon gnome-shell gnome-shell-extension-background-logo gnome-shell-extensions gnome-software gnome-sound-recorder gnome-sudoku gnome-system-monitor gnome-taquin gnome-tweak-tool gnome-user-share gtk3 gtksourceview3 gtranslator gucharmap gvfs iagno latexila libgtop2 libsoup libvirt-glib lightsoff mutter orca pango polari pyatspi pygobject3 rygel simple-scan sound-juicer swell-foop totem tracker webkitgtk4 yelp yelp-xsl'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13858

Comment 8 Fedora Update System 2015-08-25 16:06:05 UTC
PackageKit-1.0.8-2.fc23, aisleriot-3.17.90-1.fc23, appstream-data-23-4.fc23, at-spi2-atk-2.17.90-1.fc23, at-spi2-core-2.17.90-1.fc23, atk-2.17.90-1.fc23, atomix-3.17.90-1.fc23, bijiben-3.17.90-1.fc23, cheese-3.17.90-1.fc23, clutter-1.23.6-1.fc23, cogl-1.21.2-2.fc23, colord-1.2.12-1.fc23, control-center-3.17.90-1.fc23, dconf-editor-3.17.90-1.fc23, empathy-3.12.10-4.fc23, eog-3.17.90-1.fc23, eog-plugins-3.16.1-1.fc23, evolution-3.17.90-1.fc23, evolution-data-server-3.17.90-1.fc23, evolution-ews-3.17.90-1.fc23, evolution-mapi-3.17.90-1.fc23, evolution-rspam-0.6.0-12.fc23, fwupd-0.1.5-3.fc23, gdk-pixbuf2-2.31.6-1.fc23, gedit-3.17.90-1.fc23, geocode-glib-3.17.90-1.fc23, glib2-2.45.6-1.fc23, gnome-2048-3.17.90-1.fc23, gnome-bluetooth-3.17.90-2.fc23, gnome-boxes-3.17.90-1.fc23, gnome-calendar-3.17.90-1.fc23, gnome-characters-3.17.90-1.fc23, gnome-chess-3.17.90-1.fc23, gnome-color-manager-3.17.90-1.fc23, gnome-contacts-3.16.2-7.fc23, gnome-desktop3-3.17.90-1.fc23, gnome-dictionary-3.17.90-2.fc23, gnome-documents-3.17.90-1.fc23, gnome-initial-setup-3.17.90-1.fc23, gnome-klotski-3.17.90-1.fc23, gnome-logs-3.17.90-1.fc23, gnome-maps-3.17.90-1.fc23, gnome-mines-3.17.90-1.fc23, gnome-multi-writer-3.17.90-1.fc23, gnome-music-3.17.90-1.fc23, gnome-nibbles-3.17.90-1.fc23, gnome-packagekit-3.17.90-1.fc23, gnome-power-manager-3.17.90-1.fc23, gnome-robots-3.17.90-1.fc23, gnome-settings-daemon-3.17.90-1.fc23, gnome-shell-3.17.90-1.fc23, gnome-shell-extension-background-logo-3.17.90-1.fc23, gnome-shell-extensions-3.17.90-1.fc23, gnome-software-3.17.90-1.fc23, gnome-sound-recorder-3.17.90-1.fc23, gnome-sudoku-3.17.90-1.fc23, gnome-system-monitor-3.17.90-1.fc23, gnome-taquin-3.17.90-1.fc23, gnome-tweak-tool-3.17.90-1.fc23, gnome-user-share-3.17.90-1.fc23, gobject-introspection-1.45.4-1.fc23, gtk3-3.17.7-1.fc23, gtksourceview3-3.17.5-1.fc23, gtranslator-2.91.7-5.fc23, gucharmap-3.17.90-1.fc23, gvfs-1.25.90-1.fc23, iagno-3.17.90-1.fc23, latexila-3.17.0-1.fc23, libgtop2-2.31.90-1.fc23, libsoup-2.51.90-1.fc23, libvirt-glib-0.2.2-1.fc23, lightsoff-3.17.90-1.fc23, mutter-3.17.90-1.fc23, nautilus-3.17.90-1.fc23, orca-3.17.90-1.fc23, pango-1.37.3-1.fc23, polari-3.17.90-1.fc23, pyatspi-2.17.90-1.fc23, pygobject3-3.17.90-1.fc23, rygel-0.27.4-1.fc23, simple-scan-3.17.90-1.fc23, sound-juicer-3.17.90-1.fc23, swell-foop-3.17.90-1.fc23, totem-3.16.2-4.fc23, tracker-1.5.2-1.fc23, webkitgtk4-2.9.90-1.fc23, yelp-3.17.90-1.fc23, yelp-xsl-3.17.90-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.